QGIS Application - Bug report #7074

lowest non-zero value in a single band geotiff will not display

2013-01-29 03:08 PM - Barry Snowdon

Status: Closed
Priority: Normal
Assignee:

Category: Rasters

Affected QGIS version:1.8.0
Operating System:

Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution: fixed/implemented

Copied to github as #: 16158

Description

Hi,

I'm using Lisboa and do alot of map algebra with single band geotifs. If | create a geotiff with values ranging from 1 to 10, 5 to 25, 3 to 27

for example, QGIS will always display the lowest value (the 1,5 or 3 in my examples) as white or transparent. Yet is | "identify" that region

of the map Lisboa knows about the value. This is regardless of whether | set the layer properties to grayscale, pseudocolor, freak-out or

colormap. I'm using zero as the null value.

Any help/guidance would be greatly appreciated.

Barry.

History

#1 - 2013-01-30 03:02 PM - Giovanni Manghi
- Affected QGIS version changed from master to 1.8.0
- Status changed from Open to Feedback

- Category set to Rasters

Have you tested qgis master? a lot of work have been done there on rasters.

#2 - 2014-06-23 02:57 AM - Giovanni Manghi
- Resolution set to fixed/implemented
- Status changed from Feedback to Closed

it definitely works as expected on recent qgis releases.
